<?php
/**
 * Store all the arrays in this file so then just import it when needed
 *
 * @package PeachPay
 */

if ( defined( PEACHPAY_ABSPATH ) ) {
	exit;
}

define(
	'PEACHPAY_SUPPORTED_CURRENCIES',
	array(
		'Select currency' => __( '*** Select currency ***', 'peachpay-for-woocommerce' ),
		'AFN'             => __( 'Afghan Afghani 🇦🇫', 'peachpay-for-woocommerce' ),
		'ALL'             => __( 'Albanian Lek 🇦🇱', 'peachpay-for-woocommerce' ),
		'AMD'             => __( 'Armenian Dram 🇦🇲', 'peachpay-for-woocommerce' ),
		'ANG'             => __( 'Netherlands Antillean Guilder 🇳🇱', 'peachpay-for-woocommerce' ),
		'AOA'             => __( 'Angolan Kwanza 🇦🇴', 'peachpay-for-woocommerce' ),
		'ARS'             => __( 'Argentine Peso 🇦🇷', 'peachpay-for-woocommerce' ),
		'AWG'             => __( 'Aruban Florin 🇦🇼', 'peachpay-for-woocommerce' ),
		'AZN'             => __( 'Azerbaijani Manat 🇦🇿', 'peachpay-for-woocommerce' ),
		'AUD'             => __( 'Australian dollar 🇦🇺', 'peachpay-for-woocommerce' ),
		'BAM'             => __( 'Bosnia-Herzegovina Convertible Mark 🇧🇦', 'peachpay-for-woocommerce' ),
		'BBD'             => __( 'Bajan dollar 🇧🇧', 'peachpay-for-woocommerce' ),
		'BDT'             => __( 'Bangladeshi Taka 🇧🇩', 'peachpay-for-woocommerce' ),
		'BGN'             => __( 'Bulgarian Lev 🇧🇬', 'peachpay-for-woocommerce' ),
		'BIF'             => __( 'Burundian Franc 🇧🇮', 'peachpay-for-woocommerce' ),
		'BMD'             => __( 'Bermudan Dollar 🇧🇲', 'peachpay-for-woocommerce' ),
		'BND'             => __( 'Brunei Dollar 🇧🇳', 'peachpay-for-woocommerce' ),
		'BOB'             => __( 'Bolivian Boliviano 🇧🇴', 'peachpay-for-woocommerce' ),
		'BRL'             => __( 'Brazilian Real 🇧🇷', 'peachpay-for-woocommerce' ),
		'BSD'             => __( 'Bahamian Dollar 🇧🇸', 'peachpay-for-woocommerce' ),
		'BWP'             => __( 'Botswanan Pula 🇧🇼', 'peachpay-for-woocommerce' ),
		'BYN'             => __( 'Belarusian Ruble 🇧🇾', 'peachpay-for-woocommerce' ),
		'BZD'             => __( 'Belize Dollar 🇧🇿', 'peachpay-for-woocommerce' ),
		'CAD'             => __( 'Canadian dollar 🇨🇦', 'peachpay-for-woocommerce' ),
		'XPF'             => __( 'CFP Franc', 'peachpay-for-woocommerce' ),
		'CDF'             => __( 'Congolese Franc 🇨🇩', 'peachpay-for-woocommerce' ),
		'CLP'             => __( 'Chilean Peso 🇨🇱', 'peachpay-for-woocommerce' ),
		'CNY'             => __( 'Chinese Yuan 🇨🇳', 'peachpay-for-woocommerce' ),
		'COP'             => __( 'Colombian Peso 🇨🇴', 'peachpay-for-woocommerce' ),
		'CRC'             => __( 'Costa Rican Colón 🇨🇷', 'peachpay-for-woocommerce' ),
		'CVE'             => __( 'Cape Verdean Escudo 🇨🇻', 'peachpay-for-woocommerce' ),
		'DJF'             => __( 'Djiboutian Franc 🇩🇯', 'peachpay-for-woocommerce' ),
		'DKK'             => __( 'Danish Krone 🇩🇰', 'peachpay-for-woocommerce' ),
		'DOP'             => __( 'Dominican Peso 🇩🇴', 'peachpay-for-woocommerce' ),
		'DZD'             => __( 'Algerian Dinar 🇩🇿', 'peachpay-for-woocommerce' ),
		'CZK'             => __( 'Czech koruna 🇨🇿', 'peachpay-for-woocommerce' ),
		'DKK'             => __( 'Danish krone 🇩🇰', 'peachpay-for-woocommerce' ),
		'EGP'             => __( 'Egyptian Pound 🇪🇬', 'peachpay-for-woocommerce' ),
		'ETB'             => __( 'Ethiopian Birr 🇪🇹', 'peachpay-for-woocommerce' ),
		'EUR'             => __( 'Euro 🇪🇺', 'peachpay-for-woocommerce' ),
		'FJD'             => __( 'Fijian Dollar 🇫🇯', 'peachpay-for-woocommerce' ),
		'FKP'             => __( 'Falkland Islands pound 🇫🇰', 'peachpay-for-woocommerce' ),
		'GBP'             => __( 'Great British Pound 🇬🇧', 'peachpay-for-woocommerce' ),
		'GEL'             => __( 'Georgian Lari 🇬🇪', 'peachpay-for-woocommerce' ),
		'GIP'             => __( 'Gibraltar pound 🇬🇮', 'peachpay-for-woocommerce' ),
		'GMD'             => __( 'Gambian dalasi 🇬🇲', 'peachpay-for-woocommerce' ),
		'GNF'             => __( 'Guinean Franc 🇬🇳', 'peachpay-for-woocommerce' ),
		'GTQ'             => __( 'Quetzal 🇬🇹', 'peachpay-for-woocommerce' ),
		'GYD'             => __( 'Guyanese dollar 🇬🇾', 'peachpay-for-woocommerce' ),
		'HKD'             => __( 'Hong Kong dollar 🇭🇰', 'peachpay-for-woocommerce' ),
		'HNL'             => __( 'Honduran Lempira 🇭🇳', 'peachpay-for-woocommerce' ),
		'HRK'             => __( 'Croatian Kuna 🇭🇷', 'peachpay-for-woocommerce' ),
		'HTG'             => __( 'Haitian Gourde 🇭🇹', 'peachpay-for-woocommerce' ),
		'HUF'             => __( 'Hungarian forint 🇭🇺', 'peachpay-for-woocommerce' ),
		'IDR'             => __( 'Indonesian rupiah 🇮🇩', 'peachpay-for-woocommerce' ),
		'ILS'             => __( 'Israeli new shekel 🇮🇱', 'peachpay-for-woocommerce' ),
		'INR'             => __( 'Indian Rupee 🇮🇳', 'peachpay-for-woocommerce' ),
		'ISK'             => __( 'Icelandic Króna 🇮🇸', 'peachpay-for-woocommerce' ),
		'JMD'             => __( 'Jamaican Dollar 🇯🇲', 'peachpay-for-woocommerce' ),
		'JPY'             => __( 'Japanese yen 🇯🇵', 'peachpay-for-woocommerce' ),
		'KES'             => __( 'Kenyan Shilling 🇰🇪', 'peachpay-for-woocommerce' ),
		'KGS'             => __( 'Kyrgystani Som 🇰🇬', 'peachpay-for-woocommerce' ),
		'KHR'             => __( 'Cambodian riel 🇰🇭', 'peachpay-for-woocommerce' ),
		'KMF'             => __( 'Comorian franc 🇰🇲', 'peachpay-for-woocommerce' ),
		'KRW'             => __( 'Korean Won 🇰🇷', 'peachpay-for-woocommerce' ),
		'KYD'             => __( 'Cayman Islands Dollar 🇰🇾', 'peachpay-for-woocommerce' ),
		'KZT'             => __( 'Kazakhstani Tenge 🇰🇿', 'peachpay-for-woocommerce' ),
		'LAK'             => __( 'Laotian Kip 🇱🇦', 'peachpay-for-woocommerce' ),
		'LBP'             => __( 'Lebanese pound 🇱🇧', 'peachpay-for-woocommerce' ),
		'LKR'             => __( 'Sri Lankan Rupee 🇱🇰', 'peachpay-for-woocommerce' ),
		'LRD'             => __( 'Liberian Dollar 🇱🇷', 'peachpay-for-woocommerce' ),
		'LSL'             => __( 'Lesotho loti 🇱🇸', 'peachpay-for-woocommerce' ),
		'MAD'             => __( 'Moroccan Dirham 🇲🇦', 'peachpay-for-woocommerce' ),
		'MDL'             => __( 'Moldovan Leu 🇲🇩', 'peachpay-for-woocommerce' ),
		'MGA'             => __( 'Malagasy Ariary 🇲🇬', 'peachpay-for-woocommerce' ),
		'MKD'             => __( 'Macedonian Denar 🇲🇰', 'peachpay-for-woocommerce' ),
		'MMK'             => __( 'Myanmar Kyat 🇲🇲', 'peachpay-for-woocommerce' ),
		'MOP'             => __( 'Macanese Pataca 🇲🇴', 'peachpay-for-woocommerce' ),
		'MRO'             => __( 'Mauritanian Ouguiya 🇲🇷', 'peachpay-for-woocommerce' ),
		'MUR'             => __( 'Mauritian Rupee 🇲🇺', 'peachpay-for-woocommerce' ),
		'MVR'             => __( 'Maldivian Rufiyaa 🇲🇻', 'peachpay-for-woocommerce' ),
		'MWK'             => __( 'Malawian Kwacha 🇲🇼', 'peachpay-for-woocommerce' ),
		'MXN'             => __( 'Mexican peso 🇲🇽', 'peachpay-for-woocommerce' ),
		'MYR'             => __( 'Malaysian Ringgit 🇲🇾', 'peachpay-for-woocommerce' ),
		'MZN'             => __( 'Mozambican metical 🇲🇿', 'peachpay-for-woocommerce' ),
		'NAD'             => __( 'Namibian dollar 🇳🇦', 'peachpay-for-woocommerce' ),
		'NGN'             => __( 'Nigerian Naira 🇳🇬', 'peachpay-for-woocommerce' ),
		'NIO'             => __( 'Nicaraguan Córdoba 🇳🇮', 'peachpay-for-woocommerce' ),
		'NOK'             => __( 'Norwegian krone 🇳🇴', 'peachpay-for-woocommerce' ),
		'NPR'             => __( 'Nepalese Rupee 🇳🇵', 'peachpay-for-woocommerce' ),
		'NZD'             => __( 'New Zealand dollar 🇳🇿', 'peachpay-for-woocommerce' ),
		'PAB'             => __( 'Panamanian Balboa 🇵🇦', 'peachpay-for-woocommerce' ),
		'PGK'             => __( 'Papua New Guinean Kina 🇵🇬', 'peachpay-for-woocommerce' ),
		'PHP'             => __( 'Philippine peso 🇵🇭', 'peachpay-for-woocommerce' ),
		'PKR'             => __( 'Pakistani Rupee 🇵🇰', 'peachpay-for-woocommerce' ),
		'PLN'             => __( 'Poland złoty 🇵🇱', 'peachpay-for-woocommerce' ),
		'PYG'             => __( 'Paraguayan Guarani 🇵🇾', 'peachpay-for-woocommerce' ),
		'QAR'             => __( 'Qatari Rial 🇶🇦', 'peachpay-for-woocommerce' ),
		'RON'             => __( 'Romanian Leu 🇷🇴', 'peachpay-for-woocommerce' ),
		'RSD'             => __( 'Serbian Dinar 🇷🇸', 'peachpay-for-woocommerce' ),
		'RUB'             => __( 'Russian ruble 🇷🇺', 'peachpay-for-woocommerce' ),
		'RWF'             => __( 'Rwandan franc 🇷🇼', 'peachpay-for-woocommerce' ),
		'SAR'             => __( 'Saudi Riyal 🇸🇦', 'peachpay-for-woocommerce' ),
		'PEN'             => __( 'Sol 🇵🇪', 'peachpay-for-woocommerce' ),
		'SBD'             => __( 'Solomon Islands Dollar 🇸🇧', 'peachpay-for-woocommerce' ),
		'SCR'             => __( 'Seychellois Rupee 🇸🇨', 'peachpay-for-woocommerce' ),
		'SEK'             => __( 'Swedish krona 🇸🇪', 'peachpay-for-woocommerce' ),
		'SGD'             => __( 'Singapore dollar 🇸🇬', 'peachpay-for-woocommerce' ),
		'SLL'             => __( 'Sierra Leonean 🇸🇱', 'peachpay-for-woocommerce' ),
		'SOS'             => __( 'Somali Shilling 🇸🇴', 'peachpay-for-woocommerce' ),
		'SRD'             => __( 'Surinamese Dollar 🇸🇷', 'peachpay-for-woocommerce' ),
		'SZL'             => __( 'Swazi Lilangeni 🇸🇿', 'peachpay-for-woocommerce' ),
		'CHF'             => __( 'Swiss franc 🇨🇭', 'peachpay-for-woocommerce' ),
		'THB'             => __( 'Thai Baht 🇹🇭', 'peachpay-for-woocommerce' ),
		'TJS'             => __( 'Tajikistani Somoni 🇹🇯', 'peachpay-for-woocommerce' ),
		'TTD'             => __( 'Trinidad & Tobago Dollar 🇹🇹', 'peachpay-for-woocommerce' ),
		'MNT'             => __( 'Tugrik 🇲🇳', 'peachpay-for-woocommerce' ),
		'TRY'             => __( 'Turkish lira 🇹🇷', 'peachpay-for-woocommerce' ),
		'TWD'             => __( 'New Taiwan dollar 🇹🇼', 'peachpay-for-woocommerce' ),
		'TZS'             => __( 'Tanzanian Shilling 🇹🇿', 'peachpay-for-woocommerce' ),
		'UAH'             => __( 'Ukrainian hryvnia 🇺🇦', 'peachpay-for-woocommerce' ),
		'UGX'             => __( 'Ugandan Shilling 🇺🇬', 'peachpay-for-woocommerce' ),
		'AED'             => __( 'United Arab Emirates Dirham 🇦🇪', 'peachpay-for-woocommerce' ),
		'USD'             => __( 'United States dollar 🇺🇸', 'peachpay-for-woocommerce' ),
		'UYU'             => __( 'Uruguayan Peso 🇺🇾', 'peachpay-for-woocommerce' ),
		'UZS'             => __( 'Uzbekistani Som 🇺🇿', 'peachpay-for-woocommerce' ),
		'VND'             => __( 'Vietnamese dong 🇻🇳', 'peachpay-for-woocommerce' ),
		'XAF'             => __( 'Central African CFA franc', 'peachpay-for-woocommerce' ),
		'XCD'             => __( 'East Caribbean Dollar', 'peachpay-for-woocommerce' ),
		'XOF'             => __( 'West African CFA franc', 'peachpay-for-woocommerce' ),
		'YER'             => __( 'Yemeni Rial 🇾🇪', 'peachpay-for-woocommerce' ),
		'ZAR'             => __( 'South African Rand 🇿🇦', 'peachpay-for-woocommerce' ),
		'ZMW'             => __( 'Zambian Kwacha 🇿🇲', 'peachpay-for-woocommerce' ),
	)
);

define(
	'ISO_TO_COUNTRY',
	array(
		'AF' => 'Afghanistan',
		'AX' => 'Aland Islands',
		'AL' => 'Albania',
		'DZ' => 'Algeria',
		'AS' => 'American Samoa',
		'AD' => 'Andorra',
		'AO' => 'Angola',
		'AI' => 'Anguilla',
		'AQ' => 'Antarctica',
		'AG' => 'Antigua And Barbuda',
		'AR' => 'Argentina',
		'AM' => 'Armenia',
		'AW' => 'Aruba',
		'AU' => 'Australia',
		'AT' => 'Austria',
		'AZ' => 'Azerbaijan',
		'BS' => 'Bahamas',
		'BH' => 'Bahrain',
		'BD' => 'Bangladesh',
		'BB' => 'Barbados',
		'BY' => 'Belarus',
		'BE' => 'Belgium',
		'BZ' => 'Belize',
		'BJ' => 'Benin',
		'BM' => 'Bermuda',
		'BT' => 'Bhutan',
		'BO' => 'Bolivia',
		'BA' => 'Bosnia And Herzegovina',
		'BW' => 'Botswana',
		'BV' => 'Bouvet Island',
		'BR' => 'Brazil',
		'IO' => 'British Indian Ocean Territory',
		'BN' => 'Brunei Darussalam',
		'BG' => 'Bulgaria',
		'BF' => 'Burkina Faso',
		'BI' => 'Burundi',
		'KH' => 'Cambodia',
		'CM' => 'Cameroon',
		'CA' => 'Canada',
		'CV' => 'Cape Verde',
		'KY' => 'Cayman Islands',
		'CF' => 'Central African Republic',
		'TD' => 'Chad',
		'CL' => 'Chile',
		'CN' => 'China',
		'CX' => 'Christmas Island',
		'CC' => 'Cocos (Keeling) Islands',
		'CO' => 'Colombia',
		'KM' => 'Comoros',
		'CG' => 'Congo',
		'CD' => 'Congo, Democratic Republic',
		'CK' => 'Cook Islands',
		'CR' => 'Costa Rica',
		'CI' => "Cote D'Ivoire",
		'HR' => 'Croatia',
		'CU' => 'Cuba',
		'CY' => 'Cyprus',
		'CZ' => 'Czech Republic',
		'DK' => 'Denmark',
		'DJ' => 'Djibouti',
		'DM' => 'Dominica',
		'DO' => 'Dominican Republic',
		'EC' => 'Ecuador',
		'EG' => 'Egypt',
		'SV' => 'El Salvador',
		'GQ' => 'Equatorial Guinea',
		'ER' => 'Eritrea',
		'EE' => 'Estonia',
		'ET' => 'Ethiopia',
		'FK' => 'Falkland Islands (Malvinas)',
		'FO' => 'Faroe Islands',
		'FJ' => 'Fiji',
		'FI' => 'Finland',
		'FR' => 'France',
		'GF' => 'French Guiana',
		'PF' => 'French Polynesia',
		'TF' => 'French Southern Territories',
		'GA' => 'Gabon',
		'GM' => 'Gambia',
		'GE' => 'Georgia',
		'DE' => 'Germany',
		'GH' => 'Ghana',
		'GI' => 'Gibraltar',
		'GR' => 'Greece',
		'GL' => 'Greenland',
		'GD' => 'Grenada',
		'GP' => 'Guadeloupe',
		'GU' => 'Guam',
		'GT' => 'Guatemala',
		'GG' => 'Guernsey',
		'GN' => 'Guinea',
		'GW' => 'Guinea-Bissau',
		'GY' => 'Guyana',
		'HT' => 'Haiti',
		'HM' => 'Heard Island & Mcdonald Islands',
		'VA' => 'Holy See (Vatican City State)',
		'HN' => 'Honduras',
		'HK' => 'Hong Kong',
		'HU' => 'Hungary',
		'IS' => 'Iceland',
		'IN' => 'India',
		'ID' => 'Indonesia',
		'IR' => 'Iran, Islamic Republic Of',
		'IQ' => 'Iraq',
		'IE' => 'Ireland',
		'IM' => 'Isle Of Man',
		'IL' => 'Israel',
		'IT' => 'Italy',
		'JM' => 'Jamaica',
		'JP' => 'Japan',
		'JE' => 'Jersey',
		'JO' => 'Jordan',
		'KZ' => 'Kazakhstan',
		'KE' => 'Kenya',
		'KI' => 'Kiribati',
		'KR' => 'Korea',
		'KW' => 'Kuwait',
		'KG' => 'Kyrgyzstan',
		'LA' => "Lao People's Democratic Republic",
		'LV' => 'Latvia',
		'LB' => 'Lebanon',
		'LS' => 'Lesotho',
		'LR' => 'Liberia',
		'LY' => 'Libyan Arab Jamahiriya',
		'LI' => 'Liechtenstein',
		'LT' => 'Lithuania',
		'LU' => 'Luxembourg',
		'MO' => 'Macao',
		'MK' => 'Macedonia',
		'MG' => 'Madagascar',
		'MW' => 'Malawi',
		'MY' => 'Malaysia',
		'MV' => 'Maldives',
		'ML' => 'Mali',
		'MT' => 'Malta',
		'MH' => 'Marshall Islands',
		'MQ' => 'Martinique',
		'MR' => 'Mauritania',
		'MU' => 'Mauritius',
		'YT' => 'Mayotte',
		'MX' => 'Mexico',
		'FM' => 'Micronesia, Federated States Of',
		'MD' => 'Moldova',
		'MC' => 'Monaco',
		'MN' => 'Mongolia',
		'ME' => 'Montenegro',
		'MS' => 'Montserrat',
		'MA' => 'Morocco',
		'MZ' => 'Mozambique',
		'MM' => 'Myanmar',
		'NA' => 'Namibia',
		'NR' => 'Nauru',
		'NP' => 'Nepal',
		'NL' => 'Netherlands',
		'AN' => 'Netherlands Antilles',
		'NC' => 'New Caledonia',
		'NZ' => 'New Zealand',
		'NI' => 'Nicaragua',
		'NE' => 'Niger',
		'NG' => 'Nigeria',
		'NU' => 'Niue',
		'NF' => 'Norfolk Island',
		'MP' => 'Northern Mariana Islands',
		'NO' => 'Norway',
		'OM' => 'Oman',
		'PK' => 'Pakistan',
		'PW' => 'Palau',
		'PS' => 'Palestinian Territory, Occupied',
		'PA' => 'Panama',
		'PG' => 'Papua New Guinea',
		'PY' => 'Paraguay',
		'PE' => 'Peru',
		'PH' => 'Philippines',
		'PN' => 'Pitcairn',
		'PL' => 'Poland',
		'PT' => 'Portugal',
		'PR' => 'Puerto Rico',
		'QA' => 'Qatar',
		'RE' => 'Reunion',
		'RO' => 'Romania',
		'RU' => 'Russian Federation',
		'RW' => 'Rwanda',
		'BL' => 'Saint Barthelemy',
		'SH' => 'Saint Helena',
		'KN' => 'Saint Kitts And Nevis',
		'LC' => 'Saint Lucia',
		'MF' => 'Saint Martin',
		'PM' => 'Saint Pierre And Miquelon',
		'VC' => 'Saint Vincent And Grenadines',
		'WS' => 'Samoa',
		'SM' => 'San Marino',
		'ST' => 'Sao Tome And Principe',
		'SA' => 'Saudi Arabia',
		'SN' => 'Senegal',
		'RS' => 'Serbia',
		'SC' => 'Seychelles',
		'SL' => 'Sierra Leone',
		'SG' => 'Singapore',
		'SK' => 'Slovakia',
		'SI' => 'Slovenia',
		'SB' => 'Solomon Islands',
		'SO' => 'Somalia',
		'ZA' => 'South Africa',
		'GS' => 'South Georgia And Sandwich Isl.',
		'ES' => 'Spain',
		'LK' => 'Sri Lanka',
		'SD' => 'Sudan',
		'SR' => 'Suriname',
		'SJ' => 'Svalbard And Jan Mayen',
		'SZ' => 'Swaziland',
		'SE' => 'Sweden',
		'CH' => 'Switzerland',
		'SY' => 'Syrian Arab Republic',
		'TW' => 'Taiwan',
		'TJ' => 'Tajikistan',
		'TZ' => 'Tanzania',
		'TH' => 'Thailand',
		'TL' => 'Timor-Leste',
		'TG' => 'Togo',
		'TK' => 'Tokelau',
		'TO' => 'Tonga',
		'TT' => 'Trinidad And Tobago',
		'TN' => 'Tunisia',
		'TR' => 'Turkey',
		'TM' => 'Turkmenistan',
		'TC' => 'Turks And Caicos Islands',
		'TV' => 'Tuvalu',
		'UG' => 'Uganda',
		'UA' => 'Ukraine',
		'AE' => 'United Arab Emirates',
		'GB' => 'United Kingdom',
		'US' => 'United States',
		'UM' => 'United States Outlying Islands',
		'UY' => 'Uruguay',
		'UZ' => 'Uzbekistan',
		'VU' => 'Vanuatu',
		'VE' => 'Venezuela',
		'VN' => 'Viet Nam',
		'VG' => 'Virgin Islands, British',
		'VI' => 'Virgin Islands, U.S.',
		'WF' => 'Wallis And Futuna',
		'EH' => 'Western Sahara',
		'YE' => 'Yemen',
		'ZM' => 'Zambia',
		'ZW' => 'Zimbabwe',
	)
);

define(
	'PEACHPAY_CURRENCIES_METHOD_ARRAY',
	array(
		'Select currency' => array(),
		'AED'             => array( 'Stripe' ),
		'AFN'             => array( 'Stripe' ),
		'ALL'             => array( 'Stripe' ),
		'AMD'             => array( 'Stripe' ),
		'ANG'             => array( 'Stripe' ),
		'AOA'             => array( 'Stripe' ),
		'ARS'             => array( 'Stripe' ),
		'AWG'             => array( 'Stripe' ),
		'AZN'             => array( 'Stripe' ),
		'AUD'             => array( 'Stripe', 'Klarna', 'Afterpay/Clearpay', 'PayPal' ),
		'BAM'             => array( 'Stripe' ),
		'BBD'             => array( 'Stripe' ),
		'BDT'             => array( 'Stripe' ),
		'BGN'             => array( 'Stripe' ),
		'BIF'             => array( 'Stripe' ),
		'BMD'             => array( 'Stripe' ),
		'BND'             => array( 'Stripe' ),
		'BOB'             => array( 'Stripe' ),
		'BRL'             => array( 'Stripe' ),
		'BSD'             => array( 'Stripe' ),
		'BWP'             => array( 'Stripe' ),
		'BYN'             => array( 'Stripe' ),
		'BZD'             => array( 'Stripe' ),
		'CAD'             => array( 'Stripe', 'Klarna', 'Afterpay/Clearpay', 'PayPal' ),
		'CDF'             => array( 'Stripe' ),
		'CLP'             => array( 'Stripe' ),
		'CNY'             => array( 'Stripe' ),
		'COP'             => array( 'Stripe' ),
		'CRC'             => array( 'Stripe' ),
		'CVE'             => array( 'Stripe' ),
		'DJF'             => array( 'Stripe' ),
		'DKK'             => array( 'Stripe', 'Klarna' ),
		'DOP'             => array( 'Stripe' ),
		'DZD'             => array( 'Stripe' ),
		'CZK'             => array( 'Stripe', 'PayPal' ),
		'DKK'             => array( 'Stripe', 'PayPal' ),
		'EGP'             => array( 'Stripe' ),
		'ETB'             => array( 'Stripe' ),
		'EUR'             => array( 'Stripe', 'Klarna', 'Afterpay/Clearpay', 'PayPal' ),
		'FJD'             => array( 'Stripe' ),
		'FKP'             => array( 'Stripe' ),
		'GBP'             => array( 'Stripe', 'Klarna', 'Afterpay/Clearpay', 'PayPal' ),
		'GEL'             => array( 'Stripe' ),
		'GIP'             => array( 'Stripe' ),
		'GMD'             => array( 'Stripe' ),
		'GNF'             => array( 'Stripe' ),
		'GTQ'             => array( 'Stripe' ),
		'GYD'             => array( 'Stripe' ),
		'HKD'             => array( 'Stripe', 'PayPal' ),
		'HNL'             => array( 'Stripe' ),
		'HRK'             => array( 'Stripe' ),
		'HTG'             => array( 'Stripe' ),
		'HUF'             => array( 'Stripe', 'PayPal' ),
		'IDR'             => array( 'Stripe' ),
		'ILS'             => array( 'Stripe', 'PayPal' ),
		'INR'             => array( 'Stripe' ),
		'ISK'             => array( 'Stripe' ),
		'JMD'             => array( 'Stripe' ),
		'JPY'             => array( 'Stripe', 'PayPal' ),
		'KES'             => array( 'Stripe' ),
		'KGS'             => array( 'Stripe' ),
		'KHR'             => array( 'Stripe' ),
		'KMF'             => array( 'Stripe' ),
		'KRW'             => array( 'Stripe' ),
		'KYD'             => array( 'Stripe' ),
		'KZT'             => array( 'Stripe' ),
		'LAK'             => array( 'Stripe' ),
		'LBP'             => array( 'Stripe' ),
		'LKR'             => array( 'Stripe' ),
		'LRD'             => array( 'Stripe' ),
		'LSL'             => array( 'Stripe' ),
		'MAD'             => array( 'Stripe' ),
		'MDL'             => array( 'Stripe' ),
		'MGA'             => array( 'Stripe' ),
		'MKD'             => array( 'Stripe' ),
		'MMK'             => array( 'Stripe' ),
		'MNT'             => array( 'Stripe' ),
		'MOP'             => array( 'Stripe' ),
		'MRO'             => array( 'Stripe' ),
		'MUR'             => array( 'Stripe' ),
		'MVR'             => array( 'Stripe' ),
		'MWK'             => array( 'Stripe' ),
		'MXN'             => array( 'Stripe', 'PayPal' ),
		'MYR'             => array( 'Stripe' ),
		'MZN'             => array( 'Stripe' ),
		'NAD'             => array( 'Stripe' ),
		'NGN'             => array( 'Stripe' ),
		'NIO'             => array( 'Stripe' ),
		'NPR'             => array( 'Stripe' ),
		'PAB'             => array( 'Stripe' ),
		'PEN'             => array( 'Stripe' ),
		'PGK'             => array( 'Stripe' ),
		'PKR'             => array( 'Stripe' ),
		'PLN'             => array( 'Stripe' ),
		'PYG'             => array( 'Stripe' ),
		'QAR'             => array( 'Stripe' ),
		'RON'             => array( 'Stripe' ),
		'RSD'             => array( 'Stripe' ),
		'RWF'             => array( 'Stripe' ),
		'SAR'             => array( 'Stripe' ),
		'SBD'             => array( 'Stripe' ),
		'SCR'             => array( 'Stripe' ),
		'SLL'             => array( 'Stripe' ),
		'SOS'             => array( 'Stripe' ),
		'SRD'             => array( 'Stripe' ),
		'SZL'             => array( 'Stripe' ),
		'THB'             => array( 'Stripe', 'PayPal' ),
		'TJS'             => array( 'Stripe' ),
		'TRY'             => array( 'Stripe' ),
		'TTD'             => array( 'Stripe' ),
		'TZS'             => array( 'Stripe' ),
		'UAH'             => array( 'Stripe' ),
		'UGX'             => array( 'Stripe' ),
		'UYU'             => array( 'Stripe' ),
		'UZS'             => array( 'Stripe' ),
		'VND'             => array( 'Stripe' ),
		'XAF'             => array( 'Stripe' ),
		'XCD'             => array( 'Stripe' ),
		'XOF'             => array( 'Stripe' ),
		'XPF'             => array( 'Stripe' ),
		'YER'             => array( 'Stripe' ),
		'ZAR'             => array( 'Stripe' ),
		'ZMW'             => array( 'Stripe' ),
		'TWD'             => array( 'Stripe', 'PayPal' ),
		'NZD'             => array( 'Stripe', 'Afterpay/Clearpay', 'PayPal' ),
		'NOK'             => array( 'Stripe', 'Klarna', 'PayPal' ),
		'PHP'             => array( 'Stripe', 'PayPal' ),
		'PLN'             => array( 'Stripe', 'PayPal' ),
		'RUB'             => array( 'Stripe', 'PayPal' ),
		'SGD'             => array( 'Stripe', 'PayPal' ),
		'SEK'             => array( 'Stripe', 'Klarna', 'PayPal' ),
		'CHF'             => array( 'Stripe', 'PayPal' ),
		'USD'             => array( 'Stripe', 'Klarna', 'Afterpay/Clearpay', 'PayPal' ),
	)
);
